OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESBasic

# IGESBasic_Group Class Reference

defines Group, Type <402> Form <1>
in package IGESBasic
The Group Associativity allows a collection of a set
of entities to be maintained as a single, logical
entity
Group, OrderedGroup, GroupWithoutBackP, OrderedGroupWithoutBackP
share the same definition (class Group), form number changes
non Ordered, non WithoutBackP : form 1
non Ordered, WithoutBackP : form 7
Ordered, non WithoutBackP : form 14
Ordered, WithoutBackP : form 15

`#include <IGESBasic_Group.hxx>`

Inheritance diagram for IGESBasic_Group:

[legend]

## Public Member Functions
Standard_EXPORT | IGESBasic_Group ()
Standard_EXPORT | IGESBasic_Group (const Standard_Integer nb)
| Creates a Group with a predefined count of items (which all start as null) .
Standard_EXPORT void | Init (const Handle(IGESData_HArray1OfIGESEntity)&allEntities)
| This method is used to set the fields of the class Group - allEntities : Used to store pointers to members of the Group. .
Standard_EXPORT void | SetOrdered (const Standard_Boolean mode)
| Sets a Group to be, or not to be Ordered (according mode) .
Standard_EXPORT void | SetWithoutBackP (const Standard_Boolean mode)
| Sets a Group to be, or not to be WithoutBackP .
Standard_EXPORT Standard_Boolean | IsOrdered () const
| Returns True if <me> is Ordered .
Standard_EXPORT Standard_Boolean | IsWithoutBackP () const
| Returns True if <me> is WithoutBackP .
Standard_EXPORT void | SetUser (const Standard_Integer type, const Standard_Integer form)
| Enforce a new value for the type and form .
Standard_EXPORT void | SetNb (const Standard_Integer nb)
| Changes the count of item If greater, new items are null If lower, old items are lost .
Standard_EXPORT Standard_Integer | NbEntities () const
| returns the number of IGESEntities in the Group
Standard_EXPORT Handle_IGESData_IGESEntity | Entity (const Standard_Integer Index) const
| returns the specific entity from the Group
Standard_EXPORT Handle_Standard_Transient | Value (const Standard_Integer Index) const
| returns the specific entity from the Group
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(IGESData_IGESEntity)&ent)
| Sets a new value for item <index> .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESData_HArray1OfIGESEntity | theEntities

## Constructor & Destructor Documentation

Standard_EXPORT IGESBasic_Group::IGESBasic_Group | ( |  | ) |

Standard_EXPORT IGESBasic_Group::IGESBasic_Group | ( | const Standard_Integer | nb | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESBasic_Group::Entity | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT const IGESBasic_Group::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity. Reimplemented in IGESBasic_GroupWithoutBackP, IGESBasic_OrderedGroup, and IGESBasic_OrderedGroupWithoutBackP.

Standard_EXPORT void IGESBasic_Group::Init | ( | const Handle(IGESData_HArray1OfIGESEntity)& | allEntities | ) |

Standard_EXPORT Standard_Boolean IGESBasic_Group::IsOrdered | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESBasic_Group::IsWithoutBackP | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESBasic_Group::NbEntities | ( |  | ) | const

Standard_EXPORT void IGESBasic_Group::SetNb | ( | const Standard_Integer | nb | ) |

Standard_EXPORT void IGESBasic_Group::SetOrdered | ( | const Standard_Boolean | mode | ) |

Standard_EXPORT void IGESBasic_Group::SetUser | ( | const Standard_Integer | type,
|  | const Standard_Integer | form
| ) |

Standard_EXPORT void IGESBasic_Group::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESData_IGESEntity)& | ent
| ) |

Standard_EXPORT void IGESBasic_Group::SetWithoutBackP | ( | const Standard_Boolean | mode | ) |

Standard_EXPORT Handle_Standard_Transient IGESBasic_Group::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESBasic_Group::theEntities`[private]`

The documentation for this class was generated from the following file:

- IGESBasic_Group.hxx